Bug 137788 - Extraneous data in option name for scsi_mod
Summary: Extraneous data in option name for scsi_mod
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2004-11-01 11:55 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:31:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Bastien Nocera 2004-11-01 11:55:04 UTC
Description of problem:
$ modinfo scsi_mod
filename:    /lib/modules/2.4.21-20.ELsmp/kernel/drivers/scsi/scsi_mod.o
description: "SCSI core"
author:      <none>
license:     "GPL"
parm:        scsi_logging_level_Rsmp_af3dd7dc int, description "SCSI
logging level; should be zero or nonzero"
parm:        scsihosts string
parm:        max_scsi_luns int, description "last scsi LUN (should be
between 1 and 2^32-1)"
parm:        scsi_allow_ghost_devices int, description "allow devices
marked as being offline to be accessed anyway (0 = off, else allow
ghosts on lun 0 through scsi_allow_ghost_devices - 1"

I don't think that "scsi_logging_level_Rsmp_af3dd7dc" is the real
parameter name.

Comment 1 Bastien Nocera 2004-11-01 11:58:06 UTC
Reproduceable with the 2.4.21-22.EL SMP kernel, the UP kernel has a
similar bizarre parameter.

Comment 3 Doug Ledford 2005-03-01 08:08:53 UTC
The problem is that the variable in question is both export as a
module parameter and also EXPORT_SYMBOL'ed to other modules so that
they can check the variable's value at runtime (done by the SCSI_LOG
macros).  Because the kernel has symbol versions enabled, a checksum
gets added to the symbol name and that shows up in the module
parameter name as well.  The fix for this is simple, just
EXPORT_SYMBOL_NOVERS() the symbol instead.  However, technically,
that's breaking kABI and I don't know if any external vendor modules
already rely upon the broken symbol name.  I submitted a patch for
review, but the decision on whether or not to even consider including
the patch will depend upon the kABI issue.

Note: the patch was submitted post the U5 deadline and is therefore
not expected in U5, but it's now posted and if it gets approved, is
already in the queue for U6.

Comment 4 Ernie Petrides 2005-03-02 20:14:03 UTC
Reverting to ASSIGNED state until a fix is committed to CVS.

Comment 5 Ernie Petrides 2005-04-28 03:26:21 UTC
Non-kABI-breaking alternative patch posted for review by petrides
on 25-Apr-2005, now queued for next U6 build.


Comment 6 Ernie Petrides 2005-05-05 00:35:32 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.3.EL).


Comment 14 Red Hat Bugzilla 2005-09-28 14:31:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.